package request


type AlibabaTclsAelophyRefundDisagreeRequest struct {
    /*
        退款单ID     */
    RefundId  *string `json:"refund_id,omitempty" required:"false" `
    /*
        拒绝原因     */
    RejectReason  *string `json:"reject_reason,omitempty" required:"false" `
    /*
        渠道来源     */
    OrderFrom  *int64 `json:"order_from,omitempty" required:"false" `
}

func (s *AlibabaTclsAelophyRefundDisagreeRequest) SetRefundId(v string) *AlibabaTclsAelophyRefundDisagreeRequest {
    s.RefundId = &v
    return s
}
func (s *AlibabaTclsAelophyRefundDisagreeRequest) SetRejectReason(v string) *AlibabaTclsAelophyRefundDisagreeRequest {
    s.RejectReason = &v
    return s
}
func (s *AlibabaTclsAelophyRefundDisagreeRequest) SetOrderFrom(v int64) *AlibabaTclsAelophyRefundDisagreeRequest {
    s.OrderFrom = &v
    return s
}

func (req *AlibabaTclsAelophyRefundDisagreeRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.RefundId != nil) {
        paramMap["refund_id"] = *req.RefundId
    }
    if(req.RejectReason != nil) {
        paramMap["reject_reason"] = *req.RejectReason
    }
    if(req.OrderFrom != nil) {
        paramMap["order_from"] = *req.OrderFrom
    }
    return paramMap
}

func (req *AlibabaTclsAelophyRefundDisagreeRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}